# This program will use the following API
# https://v2.jokeapi.dev/joke/Any?safe-mode
# If above API is unreachable, this script will not work

#### instructions to run ####
## save this file as jokes.py ##
## pip install requests ##
## python jokes.py ##

import requests


JOKES_API = "https://v2.jokeapi.dev/joke/Any?safe-mode"


def get_joke():
    response = requests.get(JOKES_API)
    if response.status_code == 200:
        json_response = response.json()

        if json_response.get('joke'):
            return json_response.get('joke')

        elif json_response.get('setup'):
            joke = json_response.get('setup')
            joke += "\n"
            joke += json_response.get('delivery')
            return joke
        else:
            return json_response

    else:
        return "Unable to get joke: error:", response.status_code


if __name__ == "__main__":
    print(get_joke())
